Subject: Re: [Tools-discuss] Potential Bug in the Datatracker

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 16 Dec 2011 10:35:08 +0100

Hi Amy,

I've stared looking into this, but there are many paths which potentially
touch the flag in questions, so it's not trivial to know exactly where to
look.  One possibility is that some recent changes may have caused this;
so it would be good to know (as far as you can tell) if this problem has
appeared with one of the most recent releases, or is a long-standing one.

Best regards,

	Henrik

On 2011-12-15 23:35 Amy Vezza said:
> Hi Henrik,
>
> On today's IESG Telechat we found a potential bug in the datatracker.
> We had three documents that were returning items , but not flagged as
> returning items.  One I flagged manually last week, and two didn't
> get flagged as returning items until the AD mentioned it on the
> call.
>
> Once a document has been on any IESG Teleconference Agenda, it should
> be automatically flagged as a returning item when it is placed back
> on the agenda for a second (or third or fourth) time.  The documents
> that were missing the automatic returning item flag are:
>
> draft-ietf-6man-rpl-option
> draft-gundavelli-v6ops-pmipv6-address-reservations
>
> and the document I had to set the returning flag manually is:
>
> draft-ietf-l2vpn-arp-mediation
>
> Can you look into this possible bug for us?